Method: projects.locations.sessions.delete

Deletes a session.

This RPC returns immediately and deletion proceeds asynchronously. It will cancel the session at first if it is still running.

HTTP request

DELETE https://devicerun.googleapis.com/v1alpha/{name=projects/*/locations/*/sessions/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the session. Format: projects/{project}/locations/{location}/sessions/{session}. It takes the form projects/{project}/locations/{location}/sessions/{session}.

Query parameters

Parameters
requestId

string

Optional. A unique identifier for this request.

This request is only idempotent if a requestId is provided, i.e. if a request with the same requestId is received, then the previous result will be returned. The server will guarantee that for at least 60 minutes after the first request.

The value must be a UUID (e.g., 123e4567-e89b-12d3-a456-426655440000). See github.com/google/uuid for more details.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.